<%@ page language="C#" autoeventwireup="true" inherits="Install_upgrade, DoodiiShop" enableEventValidation="false" viewStateEncryptionMode="Never" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>无标题页</title>
     <script type="text/javascript" src="/js/jquery.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="Divpre">
    </div>
    <script type="text/javascript" >
        function AjaxUpgrade()
        {
            $("#Divpre").html("<br /><br />正在升级 请稍后<br/><img alt=\"\"  src='/images/loading.gif' /><br />升级过程可能需要几十秒钟时间");
            $.ajax({
                type:"get",
                cache:false,
                url:"Ajax/AjaxInstall.aspx",
                data:"cmd=Upgrade", 
                success:function(e){
                        if(e=="")    
                        {
                            location.href="/index.aspx";
                        }
                        else
                        {
                            location.href="InstallFaile.aspx?Error="+escape(e);
                        }
                    },
                error:function(e){ 
                        alert(e);
                        $("#LastOne").removeAttr("disabled");
                        $("#NextOne").removeAttr("disabled");
                        $("#Divpre").html("");
                    }
            });
        }
        $(function(){
            AjaxUpgrade();
        })
    </script>
    </form>
</body>
</html>
